Subject: Re: [PATCH v3] powerpc: Add irqtrace support for 32-bit powerpc

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Apr 2008 14:40:39 +1000

On Tue, 2008-04-08 at 23:36 +0200, Johannes Berg wrote:
> > > This version fixes the clobbering of r12 by the call to
> > > trace_hardirqs_off() that was pointed out by BenH.
> > > 
> > > Johannes, I'd appreciate your trying this version if/when
> > > you get the chance.
> > 
> > Thanks Dale, this version seems to work. I'll stress it a bit more
> > later, but so far it has survived *much* longer than both previous
> > versions.
> 
> Hmm. Bad news. I got a crash in console_callback() again where
> apparently r28 had a bogus value. That, however, doesn't make sense, so
> maybe that register value was calculated from another register.

Possibly. How hard was it to reproduce ? Could it be a bug unrelated to
lockdep ?

Ben.